Bug 218914 - [PATCH] audio/shairport: mark deprecated, upstream project no longer maintained
Summary: [PATCH] audio/shairport: mark deprecated, upstream project no longer maintained
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Emanuel Haupt
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-27 13:14 UTC by Emanuel Haupt
Modified: 2017-08-28 07:58 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (miks.mikelsons)


Attachments
Deprecation patch (473 bytes, patch)
2017-04-27 13:14 UTC, Emanuel Haupt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2017-04-27 13:14:09 UTC
Created attachment 182126 [details]
Deprecation patch

The FreeBSD port audio/shairport is no longer maintained. The URL in pkg-descr (https://github.com/albertz/shairport) states:

Airtunes emulator. official repo moved! now at <https://github.com/abrasive/shairport> https://github.com/abrasive/shairport

Looking at that URL states:

Airtunes emulator! Shairport is no longer maintained. http://www.mafipulation.org

I suggest to deprecate the port with a 3 month notice and point at a well maintained fork (audio/shairport-sync.)
Comment 1 Martin Wilke freebsd_committer 2017-05-13 04:52:56 UTC
Submitter is committer.
Comment 2 commit-hook freebsd_committer 2017-08-28 07:58:10 UTC
A commit references this bug:

Author: ehaupt
Date: Mon Aug 28 07:57:30 UTC 2017
New revision: 448850
URL: https://svnweb.freebsd.org/changeset/ports/448850

Log:
  Port is officially no longer maintained upstream.

  There is a very well maintained GitHub fork also available in the ports tree.
  Deprecate this port with a 3 months notice and point at the alternative.

  PR:             218914
  Approved by:    maintainer timeout (123 days)

Changes:
  head/audio/shairport/Makefile